
From: Adrian Bunk <bunk@stusta.de>

- the FW_LOADER is already guaranteed through the Kconfig file
- prism54_synchronize_irq is also #define'd to synchronize_irq
  in prismcompat24.h, so there's no need for it

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                                          |    0 
 25-akpm/drivers/net/wireless/prism54/islpci_dev.c  |    2 +-
 25-akpm/drivers/net/wireless/prism54/prismcompat.h |    6 ------
 3 files changed, 1 insertion(+), 7 deletions(-)

diff -puN drivers/net/wireless/prism54/islpci_dev.c~prism54-small-prismcompat-cleanup-fwd drivers/net/wireless/prism54/islpci_dev.c
--- 25/drivers/net/wireless/prism54/islpci_dev.c~prism54-small-prismcompat-cleanup-fwd	Thu Dec  9 13:37:22 2004
+++ 25-akpm/drivers/net/wireless/prism54/islpci_dev.c	Thu Dec  9 13:37:22 2004
@@ -419,7 +419,7 @@ prism54_bring_down(islpci_private *priv)
 	 * currently in progress by emptying the TX and RX queues. */
 
 	/* wait until interrupts have finished executing on other CPUs */
-	prism54_synchronize_irq(priv->pdev->irq);
+	synchronize_irq(priv->pdev->irq);
 
 	reg = readl(device_base + ISL38XX_CTRL_STAT_REG);
 	reg &= ~(ISL38XX_CTRL_STAT_RESET | ISL38XX_CTRL_STAT_RAMBOOT);
diff -L drivers/net/wireless/prism54/islpci_dev.c.old2 -puN /dev/null /dev/null
diff -puN drivers/net/wireless/prism54/prismcompat.h~prism54-small-prismcompat-cleanup-fwd drivers/net/wireless/prism54/prismcompat.h
--- 25/drivers/net/wireless/prism54/prismcompat.h~prism54-small-prismcompat-cleanup-fwd	Thu Dec  9 13:37:22 2004
+++ 25-akpm/drivers/net/wireless/prism54/prismcompat.h	Thu Dec  9 13:37:22 2004
@@ -34,16 +34,10 @@
 #include <linux/workqueue.h>
 #include <linux/compiler.h>
 
-#if !defined(CONFIG_FW_LOADER) && !defined(CONFIG_FW_LOADER_MODULE)
-#error Firmware Loading is not configured in the kernel !
-#endif
-
 #ifndef __iomem
 #define __iomem
 #endif
 
-#define prism54_synchronize_irq(irq) synchronize_irq(irq)
-
 #define PRISM_FW_PDEV		&priv->pdev->dev
 
 #endif				/* _PRISM_COMPAT_H */
diff -L drivers/net/wireless/prism54/prismcompat.h.old -puN /dev/null /dev/null
_
